# How to become a contributor and submit your own code

**Table of contents**

* [Contributing a patch](#contributing-a-patch)
* [Running the tests](#running-the-tests)
* [Releasing the library](#releasing-the-library)

## Contributing A Patch

1.  Read the [Code of Conduct](CODE_OF_CONDUCT.md).
2.  Submit an issue describing your proposed change to the repo in question.
3.  The repo owner will respond to your issue promptly.
4.  If your proposed change is accepted, fork the desired repo, develop and
    test your code changes.
5.  Ensure that your code adheres to the existing style in the code to which
    you are contributing.
6.  Ensure that your code has an appropriate set of tests which all pass.
7.  Submit a pull request.

## Running the tests

1.  [Prepare your environment for Node.js setup][setup].

2.  Install dependencies:

        npm install

3.  Run the tests:

        npm test

[setup]: https://cloud.google.com/nodejs/docs/setup
